RI Bug

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

RI Bug

Michael O'Brien-4
The RI (latest build) skips a finally block due to a break in catch:

for (i = 0; i < 10; i++) {
        print(i)
        try {
                throw "throwing"
        }
        catch (e) {
                print("Catching")
                break
        }
        finally {
                print("Finally")
        }
        print("Bottom")
}
print("After")


This prints:
0
Catching
After


Should print:

0
Catching
Finally
After


Michael

_______________________________________________
Es4-discuss mailing list
[hidden email]
https://mail.mozilla.org/listinfo/es4-discuss